> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/client-interfaces/the-information-schema/referential_constraints.md).

# 37.34. referential\_constraints

The view `referential_constraints` contains all referential (foreign key) constraints in the current database. Only those constraints are shown for which the current user has write access to the referencing table (by way of being the owner or having some privilege other than `SELECT`).

#### **Table 36.32. `referential_constraints` Columns**

| Name                        | Data Type        | Description                                                                                                                                      |
| --------------------------- | ---------------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| `constraint_catalog`        | `sql_identifier` | Name of the database containing the constraint (always the current database)                                                                     |
| `constraint_schema`         | `sql_identifier` | Name of the schema containing the constraint                                                                                                     |
| `constraint_name`           | `sql_identifier` | Name of the constraint                                                                                                                           |
| `unique_constraint_catalog` | `sql_identifier` | Name of the database that contains the unique or primary key constraint that the foreign key constraint references (always the current database) |
| `unique_constraint_schema`  | `sql_identifier` | Name of the schema that contains the unique or primary key constraint that the foreign key constraint references                                 |
| `unique_constraint_name`    | `sql_identifier` | Name of the unique or primary key constraint that the foreign key constraint references                                                          |
| `match_option`              | `character_data` | Match option of the foreign key constraint: `FULL`, `PARTIAL`, or `NONE`.                                                                        |
| `update_rule`               | `character_data` | Update rule of the foreign key constraint: `CASCADE`, `SET NULL`, `SET DEFAULT`, `RESTRICT`, or `NO ACTION`.                                     |
| `delete_rule`               | `character_data` | Delete rule of the foreign key constraint: `CASCADE`, `SET NULL`, `SET DEFAULT`, `RESTRICT`, or `NO ACTION`.                                     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/client-interfaces/the-information-schema/referential_constraints.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
